Page MenuHomePhabricator

[ASTImporter] Fix inequivalence of unresolved exception spec
ClosedPublic

Authored by martong on May 2 2019, 2:52 AM.

Diff Detail

Repository
rL LLVM

Event Timeline

martong created this revision.May 2 2019, 2:52 AM
a_sidorin accepted this revision.May 4 2019, 3:09 AM

Looks good!

clang/lib/AST/ASTImporter.cpp
3107 ↗(On Diff #197726)

This looks to be true - a call adjustExceptionSpec() on the imported decl and its redeclarations can be required. Thank you for noticing this!

clang/lib/AST/ASTStructuralEquivalence.cpp
325 ↗(On Diff #197726)

equivalence

This revision is now accepted and ready to land.May 4 2019, 3:09 AM
martong updated this revision to Diff 198626.May 8 2019, 4:47 AM
martong marked 2 inline comments as done.
  • Improve and fix typo in comments
This revision was automatically updated to reflect the committed changes.
Herald added a project: Restricted Project. · View Herald TranscriptMay 8 2019, 8:22 AM